package com.biganto.visual.roompark.domain.contract

import com.biganto.visual.roompark.data.repository.db.requrey.model.DealEntity
import com.biganto.visual.roompark.data.repository.db.requrey.model.EstateEntity
import com.biganto.visual.roompark.data.repository.db.requrey.model.UserEntity
import com.biganto.visual.roompark.domain.model.DealModel
import com.biganto.visual.roompark.domain.model.EstateModel
import io.reactivex.Completable
import io.reactivex.Observable

/**
 * Created by Vladislav Bogdashkin on 24.09.2019.
 */


interface DealContract{

    fun getFavorites() : Observable<List<EstateModel>>
    fun getEstate(estateId: Int): Observable<EstateModel>
    fun getDeals(): Observable<List<DealModel>>
    fun fetchEstate(building: Int, number: Int): Observable<EstateModel>
    fun setDealRead(dealId: String): Completable
    fun fetchDeals(user: UserEntity): Observable<List<EstateEntity>>
    fun fetchFavorites(user: UserEntity): Observable<Iterable<EstateEntity>>
}